Package com.databricks.jdbc.api.impl.converters

## Interface ObjectConverter

All Known Implementing Classes:
  `BigDecimalConverter`, `BitConverter`, `BooleanConverter`, `ByteArrayConverter`, `ByteConverter`, `DateConverter`, `DoubleConverter`, `FloatConverter`, `GeospatialConverter`, `IntConverter`, `LongConverter`, `ShortConverter`, `StringConverter`, `TimestampConverter`

    public interface ObjectConverter

### Field Summary

Fields
`static int` `DEFAULT_TIMESTAMP_SCALE`
`static long[]` `POWERS_OF_TEN`

### Method Summary

All Methods Instance Methods Default Methods
`default InputStream` `toAsciiStream​(Object object)`
`default BigDecimal` `toBigDecimal​(Object object)`
`default BigDecimal` `toBigDecimal​(Object object, int scale)`
`default BigInteger` `toBigInteger​(Object object)`
`default InputStream` `toBinaryStream​(Object object)`
`default boolean` `toBoolean​(Object object)`
`default byte` `toByte​(Object object)`
`default byte[]` `toByteArray​(Object object)`
`default char` `toChar​(Object object)`
`default Reader` `toCharacterStream​(Object object)`
`default DatabricksArray` `toDatabricksArray​(Object object)`
`default DatabricksGeography` `toDatabricksGeography​(Object object)`
`default DatabricksGeometry` `toDatabricksGeometry​(Object object)`
`default DatabricksMap` `toDatabricksMap​(Object object)`
`default DatabricksStruct` `toDatabricksStruct​(Object object)`
`default Date` `toDate​(Object object)`
`default double` `toDouble​(Object object)`
`default float` `toFloat​(Object object)`
`default int` `toInt​(Object object)`
`default LocalDate` `toLocalDate​(Object object)`
`default long` `toLong​(Object object)`
`default short` `toShort​(Object object)`
`default String` `toString​(Object object)`
`default Time` `toTime​(Object object)`
`default Timestamp` `toTimestamp​(Object object)`
`default Timestamp` `toTimestamp​(Object object, int scale)`
`default InputStream` `toUnicodeStream​(Object object)`

### Field Detail

#### POWERS_OF_TEN

    static final long[] POWERS_OF_TEN

#### DEFAULT_TIMESTAMP_SCALE

    static final int DEFAULT_TIMESTAMP_SCALE

See Also:
  Constant Field Values

### Method Detail

#### toByte

    default byte toByte​(Object object)
                 throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toShort

    default short toShort​(Object object)
                   throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toInt

    default int toInt​(Object object)
               throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toLong

    default long toLong​(Object object)
                 throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toFloat

    default float toFloat​(Object object)
                   throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toDouble

    default double toDouble​(Object object)
                     throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toBigDecimal

    default BigDecimal toBigDecimal​(Object object)
                             throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toBigDecimal

    default BigDecimal toBigDecimal​(Object object,
                                    int scale)
                             throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toBigInteger

    default BigInteger toBigInteger​(Object object)
                             throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toLocalDate

    default LocalDate toLocalDate​(Object object)
                           throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toBoolean

    default boolean toBoolean​(Object object)
                       throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toByteArray

    default byte[] toByteArray​(Object object)
                        throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toChar

    default char toChar​(Object object)
                 throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toString

    default String toString​(Object object)
                     throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toTime

    default Time toTime​(Object object)
                 throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toTimestamp

    default Timestamp toTimestamp​(Object object)
                           throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toTimestamp

    default Timestamp toTimestamp​(Object object,
                                  int scale)
                           throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toDate

    default Date toDate​(Object object)
                 throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toDatabricksArray

    default DatabricksArray toDatabricksArray​(Object object)
                                       throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toDatabricksMap

    default DatabricksMap toDatabricksMap​(Object object)
                                   throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toDatabricksStruct

    default DatabricksStruct toDatabricksStruct​(Object object)
                                         throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toDatabricksGeometry

    default DatabricksGeometry toDatabricksGeometry​(Object object)
                                             throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toDatabricksGeography

    default DatabricksGeography toDatabricksGeography​(Object object)
                                               throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toBinaryStream

    default InputStream toBinaryStream​(Object object)
                                throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toUnicodeStream

    default InputStream toUnicodeStream​(Object object)
                                 throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toAsciiStream

    default InputStream toAsciiStream​(Object object)
                               throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### toCharacterStream

    default Reader toCharacterStream​(Object object)
                              throws DatabricksSQLException

Throws:
  `DatabricksSQLException`